Create Wikipedia Kabiye
Open, LowPublic

Description

The language committee has approved the creation of Wikipedia Kabiye.

https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Kabiye

Language code: kbp
Site URL: kbp.wikipedia.org
Project name: Wikipediya
Project namespace: Wikipediya:
Project talk namespace: Wikipediya ndɔnjɔɔlɩyɛ:
Project logo: [tbd]
Timezone: Africa/Lome (without diacritic)

Local file uploads: disabled

Thank you.

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2017, 8:57 PM
Luke081515 updated the task description. (Show Details)
MF-Warburg renamed this task from Create Wikipedia Kabye to Create Wikipedia Kabiye.Mar 19 2017, 9:17 PM
MF-Warburg updated the task description. (Show Details)

Change 343572 had a related patch set uploaded (by Dereckson):
[operations/dns] DNS for khw. and kbp. projects

https://gerrit.wikimedia.org/r/343572

Change 343584 had a related patch set uploaded (by Dereckson):
[operations/puppet] RESTBase: add kbp. and khw.wikipedia

https://gerrit.wikimedia.org/r/343584

@tomasz Could you help for a logo please? Project name is Wikipediya.

@Dereckson: Absolutely! Do we know what the subline ("The Free Encyclopedia") should be?

revi added a subscriber: revi.Mar 20 2017, 6:10 AM
Dereckson added a comment.EditedMar 20 2017, 3:00 PM

Current status: this task is blocked on dev and ops.

Once DNS change is merged, this task should be moved to ''Blocked on development''. When that one + MediaWiki support for the language will be ready, move to ''Config - to process''.

Change 343572 merged by Dzahn:
[operations/dns] DNS for khw. and kbp. projects

https://gerrit.wikimedia.org/r/343572

Mentioned in SAL (#wikimedia-operations) [2017-03-20T20:52:24Z] <mutante> DNS - new Wikipedias "khw" (Khowar) and "kbp" (Kabiye) created (T160868) (T160865) ( on ns0/ns1: authdns-gen-zones -f /srv/authdns/git/templates /etc/gdnsd/zones && gdnsd checkconf && gdnsd reload-zones to trigger template recreation after edit to langs.tmpl)

Dzahn added a subscriber: Dzahn.Mar 20 2017, 8:54 PM
[radon:~] $ dig kbp.wikipedia.org

;; QUESTION SECTION:
;kbp.wikipedia.org.		IN	A

;; ANSWER SECTION:
kbp.wikipedia.org.	600	IN	A	208.80.154.224
Dereckson changed the status of subtask T160915: Add support for Kabiye to MediaWiki from Open to Stalled.EditedMar 21 2017, 10:23 AM
Dereckson changed the task status from Open to Stalled.

@MF-Warburg Wikimedia language engineering isn't currently happy with translation progress: they would like 100 more messages translated, as requested here last year.

Concretely, it means the kbp code can't currently be added to MediaWiki, and so we can't have an UI in Kabye.

Dereckson updated the task description. (Show Details)Mar 21 2017, 11:13 AM
Dereckson removed a project: Operations.
Dereckson triaged this task as Low priority.Mar 21 2017, 11:47 AM

Shouldn't this be created despite the issue that may be at Translatewiki?

If the project met the requirements of WMF, it seems odd that they be asked to fulfill other requirements on Translatewiki later, especially if these keep changing.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Mar 23 2017, 1:42 PM
Dereckson added a comment.EditedMar 23 2017, 6:57 PM

@Esc3300 If MediaWiki doesn't support the Kabiye this is a blocker: we aren't going to launch a wiki in Kabiye but a French (or English or whatever) interface for example.

@Dereckson: Absolutely! Do we know what the subline ("The Free Encyclopedia") should be?

@tomasz For the logo, I've got the translation: “Wikipediya. Ansiklopedii ŋgbɛyɛ haɖaʋ."

@Esc3300 If MediaWiki doesn't support the Kabiye this is a blocker: we aren't going to launch a wiki in Kabiye but a French (or English or whatever) interface for example.

According to our tool, it's ok: https://tools.wmflabs.org/robin/?tool=codelookup&code=kbp

So you've understood the issue now: this tool isn't considered accurate anymore.

Change 344562 had a related patch set uploaded (by Odder):
[operations/mediawiki-config@master] Create logo for the Kabiye Wikipedia

https://gerrit.wikimedia.org/r/344562

@MF-Warburg Wikimedia language engineering isn't currently happy with translation progress: they would like 100 more messages translated, as requested here last year.

I've contacted the contributors again to make this happen.

The tool does not show whether TWN started to export this language's messages, which is an independent (though related) threshold from the criterion for approval.

Nemo_bis updated the task description. (Show Details)Mar 26 2017, 10:34 AM
Dereckson updated the task description. (Show Details)EditedMar 26 2017, 10:40 AM
Dereckson added a subscriber: Nemo_bis.

@Nemo_bis Togo official language is French, and a translator asked on TranslateWiki how to print French translation too, as English isn't always understood. That's why the link contains uselang=fr.

how to print French translation too, as English isn't always understood

The answer is to enable French as assistant language in their preferences.

Change 343584 abandoned by Dereckson:
RESTBase: add kbp. and khw.wikipedia

Reason:
One wiki declined, one wiki stalled on language.

https://gerrit.wikimedia.org/r/343584

Dereckson updated the task description. (Show Details)Apr 3 2017, 11:49 PM

Timezone fixed to Africa/Lome

Dereckson updated the task description. (Show Details)Apr 3 2017, 11:51 PM
Meno25 added a subscriber: Meno25.Apr 14 2017, 6:59 AM

I just want to make sure, because this doesn't seem clear anywhere else: fallback language for this wiki will be French, right? Since it looks like this wiki will launch with de minimis message translation, that's important.

I just want to make sure, because this doesn't seem clear anywhere else: fallback language for this wiki will be French, right? Since it looks like this wiki will launch with de minimis message translation, that's important.

Yup.

hoo added a subscriber: hoo.May 22 2017, 10:18 AM
Dereckson changed the task status from Stalled to Open.Wed, Jun 7, 10:56 AM

If all goes well, wmf4 will reach Wikipedia tomorrow. In such case, we will be able to create this wiki.

Nemo_bis updated the task description. (Show Details)Thu, Jun 8, 2:51 PM
Reedy changed the status of subtask T160915: Add support for Kabiye to MediaWiki from Stalled to Open.Wed, Jun 14, 11:04 PM
Dcljr added a subscriber: Dcljr.Fri, Jun 16, 3:57 AM

Change 344562 merged by jenkins-bot:
[operations/mediawiki-config@master] Create logo for the Kabiye Wikipedia

https://gerrit.wikimedia.org/r/344562

Dzahn added a comment.Tue, Jun 20, 6:27 PM

When logo is official, add property logo image on https://www.wikidata.org/wiki/Q28971705

When wiki is installed, add current date to property "inception" on the same page above.

We can create tables for the wiki this Thursday evening 21:00 UTC after MediaWiki train and before SWAT.

Change 360993 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Initial configuration for kbp.wikipedia

https://gerrit.wikimedia.org/r/360993

Change 360993 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for kbp.wikipedia

https://gerrit.wikimedia.org/r/360993

Mentioned in SAL (#wikimedia-operations) [2017-06-22T22:51:12Z] <Dereckson> Create tables for kbpwiki (T160868)

Mentioned in SAL (#wikimedia-operations) [2017-06-22T22:53:17Z] <dereckson@tin> rebuilt wikiversions.php and synchronized wikiversions files: +kbpwiki (T160868)

Mentioned in SAL (#wikimedia-operations) [2017-06-22T22:54:21Z] <dereckson@tin> Synchronized langlist: +kbp (T160868) (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-06-22T22:56:05Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Initial configuration for kbp.wikipedia (T160868) (duration: 00m 45s)

Change 361001 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Add kbp.wikipedia to interwiki map

https://gerrit.wikimedia.org/r/361001

Change 361001 merged by jenkins-bot:
[operations/mediawiki-config@master] Add kbp.wikipedia to interwiki map

https://gerrit.wikimedia.org/r/361001

Mentioned in SAL (#wikimedia-operations) [2017-06-22T23:07:41Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add kbp.wikipedia to interwiki map (T160868) (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2017-06-22T23:11:04Z] <dereckson@tin> Synchronized wmf-config/interwiki.php: Add kbp.wikipedia to interwiki map (T160868) (duration: 00m 46s)

When logo is official, add property logo image on https://www.wikidata.org/wiki/Q28971705

When wiki is installed, add current date to property "inception" on the same page above.

Done.

Next step is the Wikidata client part.

@aude could handle this part.

added to wikistats (labs project) MariaDB [wikistats]> insert into wikipedias (prefix,lang,loclang,method) values ("kbp","Kabiye","Kab&#617;y&#603;","8"); no more subtask for it needed

Change 361142 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Add kbpwiki - Kabiye WP

https://gerrit.wikimedia.org/r/361142

Change 361142 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add kbpwiki - Kabiye WP

https://gerrit.wikimedia.org/r/361142